Subject: Re: qcd solver

From: Ian Glendinning <igl>
Date: Thu, 26 Jan 95 17:34:06 GMT

Jim,
    Mark Papiani forwarded your message about the SOLVER benchmark to me.

> I have been looking at the note you sent to Rick Lawrence earlier,
> containing results for the qcd solver parkbench benchmark (I've also
> looked at the source code a bit).  A couple of questions, if I may:
> 
> 1. You didn't say how many nodes were used to produce the CS2 results
>    that you so kindly sent.  I read the output (processor grid) as
>    4 nodes.  Is this correct?

Yes.  It's rather cryptically recorded in the results file of the GENESIS
version of SOLVER, but that's an improvement on the version available from
the netlib PARKBENCH repository, which prints that information to standard
output.  I struggled with the contorted I/O redirection routines for some
time to get that changed!  Clearly there is still room for improvement...

> 2. There are differences in precision on different machines that
>    may well affect the numerical values of the results (especially
>    the residues after a number of iterations, where they start
>    becoming very small).  The source code contains a fair amount
>    of single precision, I notice, which would be handled differently
>    on different hardware.  The question is, do the benchmark
>    standards for parkbench contain criteria for how closely the
>    numerical values, especially of the residues, have to match
>    those in the output files you sent?

The answer is no, there is no stipulation that the results must match, though
perhaps there should be!  Please note that the benchmark can be made to use
single or double precision, as defined by constants in the file precision.h,
although as distributed it uses single precision.
  Ian
--
Ian Glendinning            HPC Centre, Electronics & Computer Science
[email-masked]        University of Southampton, SO17 1BJ, UK
Tel: +44 1703 592897       WWW URL: http://hpcc.soton.ac.uk/staff/igl.html

----- End Included Message -----